CFPRIME HELPSC                                                          HELPSC      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
C                                                                       HELPSC      3
      SUBROUTINE HELPSC(COMM,LENCOM)                                    HELPSC      4
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCHELPSC      5
CD                                                                      HELPSC      6
CD          THIS ROUTINE DISPLAYS HELP SCREENS WHEN THE COMMAND         HELPSC      7
CD          'HELP' IS ISSUED BY THE USER                                HELPSC      8
CD                                                                      HELPSC      9
CD          CALLING PARAMETERS:                                         HELPSC     10
CD                      COMM - PARAMETER FROM COMMAND LINE              HELPSC     11
CD                    LENCOM - LENGTH OF PARAMETER.                     HELPSC     12
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCHELPSC     13
      INCLUDE 'SOAPC1.INS'                                              HELPSC     14
      INCLUDE 'DBFLG.INS'                                               HELPSC     15
      CHARACTER*8 KEYW(40)                                              HELPSC     16
      COMMON /KEYWOD/ INSTAL,KEYW                                       HELPSC     17
      CHARACTER*50 COMM,CBUF                                            HELPSC     18
C                                                                       HELPSC     19
      CHARACTER*3 TYPE(50)                                              HELPSC     20
C                                                                       HELPSC     21
      CHARACTER*1 QQ                                                    HELPSC     22
      CHARACTER*80 MSG                                                  HELPSC     23
C                                                                       HELPSC     24
      CHARACTER*80 DEL1(11),DEL2(11),GET1(11),GET2(11),HEL1(11),        HELPSC     25
     *             HEL2(11),HEL3(11),HEL4(11),HEL5(11),HEL6(11),LIS(11),HELPSC     26
     *             MEN(11),MSA1(11),MSA2(11),NAM(11),NUM(11),OPE1(11),  HELPSC     27
     *             OPE2(11),PLA1(11),PLA2(11),QUI(11),REC1(11),REC2(11),HELPSC     28
     *             RES(11),SAV1(11),SAV2(11),STO(11),TIT(11),VMS1(11),  HELPSC     29
     *             VMS2(11),HLFSCR(11)                                  HELPSC     30
      CHARACTER*80 DPC(11),DPD1(11),DPD2(11),DPP1(11),DPP2(11),GPC(11), HELPSC     31
     *             GPD1(11),GPD2(11),GPN(11),GPP1(11),GPP2(11),G3D(11), HELPSC     32
     *             G3P(11),G3M(11)                                      HELPSC     33
      CHARACTER*80 ALR(11),FIL(11),FUN1(11),FUN2(11),FUN3(11),FUN4(11), HELPSC     34
     *             CAL1(11),CAL2(11),CAL3(11),CAL4(11),CAL5(11),        HELPSC     35
     *             CAL6(11),ENV1(10),ENV2(12),LSF1(11),LSF2(11),RLY(11),HELPSC     36
     *             REL1(11),REL2(11),OPA1(11),OPA2(11),RDA(11),SPE1(11),HELPSC     37
     *             SPE2(11),SPE3(11),LIM1(11),LIM2(11)                  HELPSC     38
C                                                                       HELPSC     39
      DATA TYPE /                                                       HELPSC     40
C       1     2     3     4     5     6     7     8     9    10         HELPSC     41
     *'DEL','GET','   ','HEL','LIS','MEN','MSA','NAM','NUM','OPE',      HELPSC     42
C                                                                       HELPSC     43
C      11    12    13    14    15    16    17    18    19    20         HELPSC     44
     *'PLA','QUI','REC','RES','SAV','STO','TIT','VMS','   ','   ',      HELPSC     45
C                                                                       HELPSC     46
C      21    22    23    24    25    26    27    28    29    30         HELPSC     47
     *'DPC','DPD','DPP','GPC','GPD','GPN','GPP','G3D','G3M','G3P',      HELPSC     48
C                                                                       HELPSC     49
C      31    32    33    34    35    36    37    38    39    40         HELPSC     50
     *'ALR','FRU','FUN','CAL','ENV','LSF','RLY','REL','OPA','RDA',      HELPSC     51
C                                                                       HELPSC     52
C      41    42    43    44    45    46    47    48    49    50         HELPSC     53
     *'SPE','LIM','   ','   ','   ','CMD','SYS','DEB','PRI','   '/      HELPSC     54
C                                                                       HELPSC     55
      DATA HLFSCR/                                                      HELPSC     56
     1'  ',                                                             HELPSC     57
     2'  ',                                                             HELPSC     58
     3'  ',                                                             HELPSC     59
     4'  ',                                                             HELPSC     60
     5'  ',                                                             HELPSC     61
     6'  ',                                                             HELPSC     62
     7'  ',                                                             HELPSC     63
     8'  ',                                                             HELPSC     64
     9'  ',                                                             HELPSC     65
     O'  ',                                                             HELPSC     66
     1'-----------------------------------------------------------------HELPSC     67
     *---------------'/                                                 HELPSC     68
C                                                                       HELPSC     69
      DATA HEL1/                                                        HELPSC     70
     1'----------------------------------- HELP ------------------------HELPSC     71
     *---------------',                                                 HELPSC     72
     2'                                                               ',HELPSC     73
     3'   Interactive Transient Output Analysis Program               ',HELPSC     74
     4'   ---------------------------------------------               ',HELPSC     75
     5'                                                               ',HELPSC     76
     6' There are three groups of command in ITOAP :                  ',HELPSC     77
     7'                                                               ',HELPSC     78
     8' Session Control Commands - To control the I/O of ITOAP.       ',HELPSC     79
     9' Plotting Commands        - To display plots.                  ',HELPSC     80
     O' Output Analysis Commands - Data analysis and special features.',HELPSC     81
     1'                                                               '/HELPSC     82
      DATA HEL2/                                                        HELPSC     83
     2' Type  HELP=COMMAND  for on-line help on the specific command. IfHELPSC     84
     * =COMMAND is',                                                    HELPSC     85
     3' not given, this screen will be displayed on the terminal. (NOTE HELPSC     86
     * : COMMAND',                                                      HELPSC     87
     4' must be in upper case).                                       ',HELPSC     88
     5'                                                               ',HELPSC     89
     6' For detail description of the commands and examples, please refeHELPSC     90
     *r to',                                                            HELPSC     91
     7' Section 18 of the ETMSP user manual.                          ',HELPSC     92
     8'                                                               ',HELPSC     93
     9' The following is a list of all ITOAP commands and procedures to HELPSC     94
     *draw a plot.',                                                    HELPSC     95
     O'                                                               ',HELPSC     96
     1'                                                   Continue ...',HELPSC     97
     2'-----------------------------------------------------------------HELPSC     98
     *---------------'/                                                 HELPSC     99
C                                                                       HELPSC    100
      DATA HEL3/                                                        HELPSC    101
     1'----------------------------------- HELP ------------------------HELPSC    102
     *---------------',                                                 HELPSC    103
     2'                                                               ',HELPSC    104
     3' Session Control Commands                                      ',HELPSC    105
     4' ------------------------                                      ',HELPSC    106
     5'                                                               ',HELPSC    107
     6'   MENU      DELCHNL   GETCHNL   LISTDATA  NAME      NUMBER    OPHELPSC    108
     *ENCASE',                                                          HELPSC    109
     7'   PLAYBACK  QUIT      RECORD    RESTORE   SAVE      STOPREC   TIHELPSC    110
     *TLE',                                                             HELPSC    111
     8'   VMSDCL                                                      ',HELPSC    112
     9'                                                               ',HELPSC    113
     O' Plotting Commands                                             ',HELPSC    114
     1' -----------------                                             '/HELPSC    115
      DATA HEL4/                                                        HELPSC    116
     2'                                                               ',HELPSC    117
     3'   DPCLEAR   DPDEVICE  DPPLOT    GPCLOSE   GPDEVICE  GPNEXT    GPHELPSC    118
     *PLOT',                                                            HELPSC    119
     4'   G3D       GMC3D     GP3D                                    ',HELPSC    120
     5'                                                               ',HELPSC    121
     6' Output Analysis Commands                                      ',HELPSC    122
     7' ------------------------                                      ',HELPSC    123
     8'                                                               ',HELPSC    124
     9'   ALRELAY   FRUN      FUNCTION  OPASCII   RDASCII   RELATIVE  SPHELPSC    125
     *ECTRUM',                                                          HELPSC    126
     O'   LIMITS                                                      ',HELPSC    127
     1'  ',                                                             HELPSC    128
     2'-----------------------------------------------------------------HELPSC    129
     *---------------'/                                                 HELPSC    130
C                                                                       HELPSC    131
      DATA HEL5/                                                        HELPSC    132
     1'----------------------------------- HELP ------------------------HELPSC    133
     *---------------',                                                 HELPSC    134
     2'                                                               ',HELPSC    135
     3' Procedures required to do a plot :                            ',HELPSC    136
     4' ----------------------------------                            ',HELPSC    137
     5'                                                               ',HELPSC    138
     6'   1. OPEN=Filename.Ext  - Open a channel file.                ',HELPSC    139
     7'   2. GETCHNL            - Read a channel into the plot buffer.',HELPSC    140
     8'   3. DPPLOT/GPPLOT      - Plot curve.                         ',HELPSC    141
     9'   4. DPDEVICE/GPDEVICE  - Redraw curve on other device(s).    ',HELPSC    142
     O'   5. DPCLEAR/GPNEXT     - Clear current plot and the plot bufferHELPSC    143
     *. ',                                                              HELPSC    144
     1'                                                               '/HELPSC    145
      DATA HEL6/                                                        HELPSC    146
     2' Note that command GETCHNL in step 2 can be changed to FUNCTION tHELPSC    147
     *o perform',                                                       HELPSC    148
     3' data analysis. The results from the analysis can be plotted usinHELPSC    149
     *g DPPLOT',                                                        HELPSC    150
     4' or GPPLOT. Steps 2 and 3 can be repeated up to 6 times per physiHELPSC    151
     *cal page.',                                                       HELPSC    152
     5' Steps 4 and 5 are optional.',                                   HELPSC    153
     6'  ',                                                             HELPSC    154
     7'  ',                                                             HELPSC    155
     8'  ',                                                             HELPSC    156
     9'  ',                                                             HELPSC    157
     O'  ',                                                             HELPSC    158
     1'  ',                                                             HELPSC    159
     2'-----------------------------------------------------------------HELPSC    160
     *---------------'/                                                 HELPSC    161
C                                                                       HELPSC    162
      DATA DEL1/                                                        HELPSC    163
     1'----------------------------------- DELCHNL ---------------------HELPSC    164
     *---------------',                                                 HELPSC    165
     2'                                                               ',HELPSC    166
     3' DELCHNL   : Delete a channel from the plot buffer after it has bHELPSC    167
     *een acquired',                                                    HELPSC    168
     4'             using GETCHNL. Once a channel has been plotted with HELPSC    169
     *GPPLOT, it',                                                      HELPSC    170
     5'             can not be deleted.                               ',HELPSC    171
     6'                                                               ',HELPSC    172
     7' PARAMETER : ALL                                               ',HELPSC    173
     8'                                                               ',HELPSC    174
     9' EXAMPLE   :                                                   ',HELPSC    175
     O'                                                               ',HELPSC    176
     1'     DELCHNL                                                   '/HELPSC    177
      DATA DEL2/                                                        HELPSC    178
     2'                                                               ',HELPSC    179
     3'  Delete channel last acquired.                                ',HELPSC    180
     4'                                                               ',HELPSC    181
     5'     DELCHNL=ALL                                               ',HELPSC    182
     6'                                                               ',HELPSC    183
     7'  Deletes all channels acquired since last GPPLOT.             ',HELPSC    184
     8'  ',                                                             HELPSC    185
     9'  ',                                                             HELPSC    186
     O'  ',                                                             HELPSC    187
     1'  ',                                                             HELPSC    188
     2'-----------------------------------------------------------------HELPSC    189
     *---------------'/                                                 HELPSC    190
C                                                                       HELPSC    191
      DATA GET1/                                                        HELPSC    192
     1'----------------------------------- GETCHNL ---------------------HELPSC    193
     *---------------',                                                 HELPSC    194
     2'                                                               ',HELPSC    195
     3' GETCHNL   : Read plotting data from the channel file currently  HELPSC    196
     *opened.',                                                         HELPSC    197
     4'             ITOAP will prompt for the channel number. Up to 6 chHELPSC    198
     *annels can',                                                      HELPSC    199
     5'             be read for a single plot.                        ',HELPSC    200
     6'                                                               ',HELPSC    201
     7' PARAMETER : LIST    SSCALE                                    ',HELPSC    202
     8'                                                               ',HELPSC    203
     9' EXAMPLE   :                                                   ',HELPSC    204
     O'                                                               ',HELPSC    205
     1'     GETCHNL                                                   '/HELPSC    206
      DATA GET2/                                                        HELPSC    207
     2'                                                               ',HELPSC    208
     3'  Read data from file.                                         ',HELPSC    209
     4'                                                               ',HELPSC    210
     5'     GETCHNL=LIST                                              ',HELPSC    211
     6'                                                               ',HELPSC    212
     7'  List channel types and channel numbers available.            ',HELPSC    213
     8'                                                               ',HELPSC    214
     9'     GETCHNL=SSCALE                                            ',HELPSC    215
     O'                                                               ',HELPSC    216
     1'  Scales all channels since the last GPPLOT command up to next GPHELPSC    217
     *PLOT.',                                                           HELPSC    218
     2'-----------------------------------------------------------------HELPSC    219
     *---------------'/                                                 HELPSC    220
C                                                                       HELPSC    221
      DATA LIS/                                                         HELPSC    222
     1'------------------------------------ LISTDATA -------------------HELPSC    223
     *---------------',                                                 HELPSC    224
     2'                                                               ',HELPSC    225
     3' LISTDATA  : Display the data currently stored in the plotting arHELPSC    226
     *ray. The',                                                        HELPSC    227
     4'             contents of the plot buffer are filled in by GETCHNLHELPSC    228
     * commands.',                                                      HELPSC    229
     5'             Note that the plot buffer will be cleared after GPPLHELPSC    230
     *OT or DPPLOT',                                                    HELPSC    231
     6'             command is invoked.                               ',HELPSC    232
     7'                                                               ',HELPSC    233
     8' PARAMETER : None                                              ',HELPSC    234
     9'  ',                                                             HELPSC    235
     O'  ',                                                             HELPSC    236
     1'  '/                                                             HELPSC    237
C                                                                       HELPSC    238
      DATA MEN/                                                         HELPSC    239
     1'------------------------------------- MENU ----------------------HELPSC    240
     *---------------',                                                 HELPSC    241
     2'                                                               ',HELPSC    242
     3' MENU      : Toggle between menu mode and command mode. In the meHELPSC    243
     *nu mode,',                                                        HELPSC    244
     4'             valid commands can also be entered. Some activities HELPSC    245
     *such as',                                                         HELPSC    246
     5'             FUNCTION can not be selected by number because of thHELPSC    247
     *e parameters',                                                    HELPSC    248
     6'             required.                                         ',HELPSC    249
     7'                                                               ',HELPSC    250
     8' PARAMETER : None                                              ',HELPSC    251
     9'  ',                                                             HELPSC    252
     O'  ',                                                             HELPSC    253
     1'  '/                                                             HELPSC    254
C                                                                       HELPSC    255
      DATA MSA1/                                                        HELPSC    256
     1'------------------------------------- MSAVE ---------------------HELPSC    257
     *---------------',                                                 HELPSC    258
     2'                                                               ',HELPSC    259
     3' MSAVE     : Save contents of the selected channels into an ASCIIHELPSC    260
     * format file',                                                    HELPSC    261
     4'             for future reference.                             ',HELPSC    262
     5'                                                               ',HELPSC    263
     6' PARAMETER : File name <logical unit number>                   ',HELPSC    264
     7'                                                               ',HELPSC    265
     8'   With the exception of IBM/MVS computers, the logical unit numbHELPSC    266
     *er is',                                                           HELPSC    267
     9'   optional.                                                   ',HELPSC    268
     O'                                                               ',HELPSC    269
     1' EXAMPLE   :                                                   '/HELPSC    270
      DATA MSA2/                                                        HELPSC    271
     2'                                                               ',HELPSC    272
     3'     MSAVE=OUT.ASC <99>                                        ',HELPSC    273
     4'                                                               ',HELPSC    274
     5'   Save data into file called OUT.ASC using logical unit number 9HELPSC    275
     *9.',                                                              HELPSC    276
     6'  ',                                                             HELPSC    277
     7'  ',                                                             HELPSC    278
     8'  ',                                                             HELPSC    279
     9'  ',                                                             HELPSC    280
     O'  ',                                                             HELPSC    281
     1'  ',                                                             HELPSC    282
     2'-----------------------------------------------------------------HELPSC    283
     *---------------'/                                                 HELPSC    284
C                                                                       HELPSC    285
      DATA NAM/                                                         HELPSC    286
     1'------------------------------------- NAME ----------------------HELPSC    287
     *---------------',                                                 HELPSC    288
     2'                                                               ',HELPSC    289
     3' NAME      : Toggle the Bus Identifier from bus number to bus namHELPSC    290
     *e. After',                                                        HELPSC    291
     4'             this command is issued, all channel quantities are rHELPSC    292
     *eferred by',                                                      HELPSC    293
     5'             their bus name (and unit/circuit i.d. if applicable)HELPSC    294
     *. This',                                                          HELPSC    295
     6'             command is used in conjunction with GETCHNL and RELAHELPSC    296
     *TIVE commands.',                                                  HELPSC    297
     7'                                                               ',HELPSC    298
     8' PARAMETER : None                                              ',HELPSC    299
     9'  ',                                                             HELPSC    300
     O'  ',                                                             HELPSC    301
     1'  '/                                                             HELPSC    302
C                                                                       HELPSC    303
      DATA NUM/                                                         HELPSC    304
     1'------------------------------------ NUMBER ---------------------HELPSC    305
     *---------------',                                                 HELPSC    306
     2'                                                               ',HELPSC    307
     3' NUMBER    : Toggle the Bus Identifier from bus name to bus numbeHELPSC    308
     *r. After',                                                        HELPSC    309
     4'             this command is issued, all channel quantities are rHELPSC    310
     *eferred by',                                                      HELPSC    311
     5'             their bus number (and unit/circuit i.d. if applicablHELPSC    312
     *e). This',                                                        HELPSC    313
     6'             command is used in conjunction with GETCHNL and RELAHELPSC    314
     *TIVE commands.',                                                  HELPSC    315
     7'                                                               ',HELPSC    316
     8' PARAMETER : None                                              ',HELPSC    317
     9'  ',                                                             HELPSC    318
     O'  ',                                                             HELPSC    319
     1'  '/                                                             HELPSC    320
C                                                                       HELPSC    321
      DATA OPE1/                                                        HELPSC    322
     1'----------------------------------- OPENCASE --------------------HELPSC    323
     *---------------',                                                 HELPSC    324
     2'                                                               ',HELPSC    325
     3' OPENCASE  : Open a channel file for input. If a file is already HELPSC    326
     *opened, the',                                                     HELPSC    327
     4'             old channel file will be closed before the new channHELPSC    328
     *el file is',                                                      HELPSC    329
     5'             opened.                                           ',HELPSC    330
     6'                                                               ',HELPSC    331
     7' PARAMETER : File name <logical unit number>                   ',HELPSC    332
     8'                                                               ',HELPSC    333
     9'   With the exception of IBM/MVS computers, the logical unit numbHELPSC    334
     *er is',                                                           HELPSC    335
     O'   optional.                                                   ',HELPSC    336
     1'                                                               '/HELPSC    337
      DATA OPE2/                                                        HELPSC    338
     2' EXAMPLE   :                                                   ',HELPSC    339
     3'                                                               ',HELPSC    340
     4'     OPENCASE=ITOAP.BIN <99>                                   ',HELPSC    341
     5'                                                               ',HELPSC    342
     6'   Open channel file called ITOAP.BIN using logical unit number 9HELPSC    343
     *9.',                                                              HELPSC    344
     7'  ',                                                             HELPSC    345
     8'  ',                                                             HELPSC    346
     9'  ',                                                             HELPSC    347
     O'  ',                                                             HELPSC    348
     1'  ',                                                             HELPSC    349
     2'-----------------------------------------------------------------HELPSC    350
     *---------------'/                                                 HELPSC    351
C                                                                       HELPSC    352
      DATA PLA1/                                                        HELPSC    353
     1'------------------------------------ PLAYBACK -------------------HELPSC    354
     *---------------',                                                 HELPSC    355
     2'                                                               ',HELPSC    356
     3' PLAYBACK  : Repeat a previous recorded ITOAP session. The input HELPSC    357
     *file can be',                                                     HELPSC    358
     4'             created by using the RECORD command or by a text ediHELPSC    359
     *tor. Refer to',                                                   HELPSC    360
     5'             the help on RECORD for more information.          ',HELPSC    361
     6'                                                               ',HELPSC    362
     7' PARAMETER : File name <logical unit number>                   ',HELPSC    363
     8'                                                               ',HELPSC    364
     9'   With the exception of IBM/MVS computers, the logical unit numbHELPSC    365
     *er is',                                                           HELPSC    366
     O'   optional.                                                   ',HELPSC    367
     1'                                                               '/HELPSC    368
      DATA PLA2/                                                        HELPSC    369
     2' EXAMPLE   :                                                   ',HELPSC    370
     3'                                                               ',HELPSC    371
     4'     PLAYBACK=ITOAP.REC <99>                                   ',HELPSC    372
     5'                                                               ',HELPSC    373
     6'   Playback an ITOAP response file called ITOAP.REC using logicalHELPSC    374
     * unit ',                                                          HELPSC    375
     7'   number 99.                                                  ',HELPSC    376
     8'  ',                                                             HELPSC    377
     9'  ',                                                             HELPSC    378
     O'  ',                                                             HELPSC    379
     1'  ',                                                             HELPSC    380
     2'-----------------------------------------------------------------HELPSC    381
     *---------------'/                                                 HELPSC    382
C                                                                       HELPSC    383
      DATA QUI/                                                         HELPSC    384
     1'------------------------------------- QUIT ----------------------HELPSC    385
     *---------------',                                                 HELPSC    386
     2'                                                               ',HELPSC    387
     3' QUIT      : Exit ITOAP and spools all plots on the selected deviHELPSC    388
     *ces.',                                                            HELPSC    389
     4'                                                               ',HELPSC    390
     5' PARAMETER : None                                              ',HELPSC    391
     6'                                                               ',HELPSC    392
     7'  ',                                                             HELPSC    393
     8'  ',                                                             HELPSC    394
     9'  ',                                                             HELPSC    395
     O'  ',                                                             HELPSC    396
     1'  '/                                                             HELPSC    397
C                                                                       HELPSC    398
      DATA REC1/                                                        HELPSC    399
     1'----------------------------------- RECORD ----------------------HELPSC    400
     *---------------',                                                 HELPSC    401
     2'                                                               ',HELPSC    402
     3' RECORD    : Create a response file for recording all valid ITOAPHELPSC    403
     * commands.',                                                      HELPSC    404
     4'             The response file can then be used to recreate the sHELPSC    405
     *ession by',                                                       HELPSC    406
     5'             using the PLAYBACK command. Use STOPREC command to eHELPSC    407
     *nd recording.',                                                   HELPSC    408
     6'  ',                                                             HELPSC    409
     7' PARAMETER : File name <logical unit number>                   ',HELPSC    410
     8'                                                               ',HELPSC    411
     9'   With the exception of IBM/MVS computers, the logical unit numbHELPSC    412
     *er is',                                                           HELPSC    413
     O'   optional.                                                   ',HELPSC    414
     1'                                                               '/HELPSC    415
      DATA REC2/                                                        HELPSC    416
     2' EXAMPLE   :                                                   ',HELPSC    417
     3'                                                               ',HELPSC    418
     4'     RECORD=ITOAP.REC <99>                                     ',HELPSC    419
     5'                                                               ',HELPSC    420
     6'  Record all the commands of the current ITOAP session into the fHELPSC    421
     *ile called',                                                      HELPSC    422
     7'  ITOAP.REC using logical unit number 99.                      ',HELPSC    423
     8'  ',                                                             HELPSC    424
     9'  ',                                                             HELPSC    425
     O'  ',                                                             HELPSC    426
     1'  ',                                                             HELPSC    427
     2'-----------------------------------------------------------------HELPSC    428
     *---------------'/                                                 HELPSC    429
C                                                                       HELPSC    430
      DATA REL1/                                                        HELPSC    431
     1'---------------------------------- RELATIVE ---------------------HELPSC    432
     *---------------',                                                 HELPSC    433
     2'                                                               ',HELPSC    434
     3' RELATIVE  : Toggle all subsequent generator angle plots from ABSHELPSC    435
     *OLUTE angle',                                                     HELPSC    436
     4'             to RELATIVE angle and vice versa. Generator absoluteHELPSC    437
     * angle is the',                                                   HELPSC    438
     5'             default. ITOAP will prompt for the reference generatHELPSC    439
     *or which must',                                                   HELPSC    440
     6'             be one of the generators monitored. The channel numbHELPSC    441
     *er of the',                                                       HELPSC    442
     7'             machine angle, or the name or the bus number of the HELPSC    443
     *reference',                                                       HELPSC    444
     8'             generator may be used.',                            HELPSC    445
     9'                                                               ',HELPSC    446
     O'                                                               ',HELPSC    447
     1' PARAMETER : NAME    NUMBER                                    '/HELPSC    448
      DATA REL2/                                                        HELPSC    449
     2' EXAMPLE   :                                                   ',HELPSC    450
     3'                                                               ',HELPSC    451
     4'     RELATIVE=NAME                                             ',HELPSC    452
     5'                                                               ',HELPSC    453
     6'  Plot generator relative angle. ITOAP will prompt for the bus naHELPSC    454
     *me of the',                                                       HELPSC    455
     7'  reference machine.                                           ',HELPSC    456
     8'                                                               ',HELPSC    457
     9'     RELATIVE                                                  ',HELPSC    458
     O'                                                               ',HELPSC    459
     1'  Toggle the plotting from relative angle to absolute angle.   ',HELPSC    460
     2'-----------------------------------------------------------------HELPSC    461
     *---------------'/                                                 HELPSC    462
C                                                                       HELPSC    463
      DATA RES/                                                         HELPSC    464
     1'---------------------------------- RESTORE ----------------------HELPSC    465
     *---------------',                                                 HELPSC    466
     2'                                                               ',HELPSC    467
     3' RESTORE   : Read data from an ASCII file created by the SAVE comHELPSC    468
     *mand.',                                                           HELPSC    469
     4'                                                               ',HELPSC    470
     5' PARAMETER : File name                                         ',HELPSC    471
     6'                                                               ',HELPSC    472
     7' EXAMPLE   :                                                   ',HELPSC    473
     8'                                                               ',HELPSC    474
     9'     RESTORE=OUT.ASC                                           ',HELPSC    475
     O'                                                               ',HELPSC    476
     1'   Restore (Read) ASCII data from file OUT.ASC.                '/HELPSC    477
C                                                                       HELPSC    478
      DATA SAV1/                                                        HELPSC    479
     1'------------------------------------- SAVE ----------------------HELPSC    480
     *---------------',                                                 HELPSC    481
     2'                                                               ',HELPSC    482
     3' SAVE      : Save contents of the plot buffer to an ASCII format HELPSC    483
     *file for',                                                        HELPSC    484
     4'             future reference. This file can be retrieved by actiHELPSC    485
     *vity RESTORE.',                                                   HELPSC    486
     5'                                                               ',HELPSC    487
     6' PARAMETER : File name <logical unit number>                   ',HELPSC    488
     7'                                                               ',HELPSC    489
     8'   With the exception of IBM/MVS computers, the logical unit numbHELPSC    490
     *er is',                                                           HELPSC    491
     9'   optional.                                                   ',HELPSC    492
     O'                                                               ',HELPSC    493
     1' EXAMPLE   :                                                   '/HELPSC    494
      DATA SAV2/                                                        HELPSC    495
     2'                                                               ',HELPSC    496
     3'     SAVE=OUT.ASC <99>                                         ',HELPSC    497
     4'                                                               ',HELPSC    498
     5'   Save data into file called OUT.ASC using logical unit number 9HELPSC    499
     *9.',                                                              HELPSC    500
     6'  ',                                                             HELPSC    501
     7'  ',                                                             HELPSC    502
     8'  ',                                                             HELPSC    503
     9'  ',                                                             HELPSC    504
     O'  ',                                                             HELPSC    505
     1'  ',                                                             HELPSC    506
     2'-----------------------------------------------------------------HELPSC    507
     *---------------'/                                                 HELPSC    508
C                                                                       HELPSC    509
      DATA STO /                                                        HELPSC    510
     1'----------------------------------- STOPREC ---------------------HELPSC    511
     *---------------',                                                 HELPSC    512
     2'                                                               ',HELPSC    513
     3' STOPREC   : End the current recording session. The record file wHELPSC    514
     *ill be',                                                          HELPSC    515
     4'             closed. Refer to the help on RECORD for additional iHELPSC    516
     *nformation.',                                                     HELPSC    517
     5'                                                               ',HELPSC    518
     6' PARAMETER : None                                              ',HELPSC    519
     7'                                                               ',HELPSC    520
     8'  ',                                                             HELPSC    521
     9'  ',                                                             HELPSC    522
     O'  ',                                                             HELPSC    523
     1'  '/                                                             HELPSC    524
C                                                                       HELPSC    525
      DATA TIT /                                                        HELPSC    526
     1'------------------------------------ TITLE ----------------------HELPSC    527
     *---------------',                                                 HELPSC    528
     2'                                                               ',HELPSC    529
     3' TITLE     : Modify plot title, label or description of the curreHELPSC    530
     *nt plot. The',                                                    HELPSC    531
     4'             default descriptions and titles are based on the infHELPSC    532
     *ormation from',                                                   HELPSC    533
     5'             the ETMSP simulation file.                        ',HELPSC    534
     6'                                                               ',HELPSC    535
     7' PARAMETER : None                                              ',HELPSC    536
     8'  ',                                                             HELPSC    537
     9'  ',                                                             HELPSC    538
     O'  ',                                                             HELPSC    539
     1'  '/                                                             HELPSC    540
C                                                                       HELPSC    541
      DATA VMS1/                                                        HELPSC    542
     1'------------------------------------ VMSDCL ---------------------HELPSC    543
     *---------------',                                                 HELPSC    544
     2'                                                               ',HELPSC    545
     3' VMSDCL    : Pass the command line parameters directly to the VAXHELPSC    546
     */VMS',                                                            HELPSC    547
     4'             operating system. VMS takes control and performs theHELPSC    548
     * command.',                                                       HELPSC    549
     5'             When VMS finishes, control is passed back to ITOAP. HELPSC    550
     *',                                                                HELPSC    551
     6'                                                               ',HELPSC    552
     7' SYSTEM NOTE: This activity is implemented on the VAX version onlHELPSC    553
     *y.',                                                              HELPSC    554
     8'                                                               ',HELPSC    555
     9' PARAMETER : DCL commands.                                     ',HELPSC    556
     O'                                                               ',HELPSC    557
     1' EXAMPLE   :                                                   '/HELPSC    558
      DATA VMS2/                                                        HELPSC    559
     2'                                                               ',HELPSC    560
     3'     VMSDCL=DIR                                                ',HELPSC    561
     4'                                                               ',HELPSC    562
     5'   List all files located in the current directory.            ',HELPSC    563
     6'  ',                                                             HELPSC    564
     7'  ',                                                             HELPSC    565
     8'  ',                                                             HELPSC    566
     9'  ',                                                             HELPSC    567
     O'  ',                                                             HELPSC    568
     1'  ',                                                             HELPSC    569
     2'-----------------------------------------------------------------HELPSC    570
     *---------------'/                                                 HELPSC    571
C                                                                       HELPSC    572
      DATA DPC /                                                        HELPSC    573
     1'------------------------------------ DPCLEAR --------------------HELPSC    574
     *---------------',                                                 HELPSC    575
     2'                                                               ',HELPSC    576
     3' DPCLEAR   : Clear the plotting page of the digital plot and the HELPSC    577
     *plot',                                                            HELPSC    578
     4'             buffer.                                           ',HELPSC    579
     5'                                                               ',HELPSC    580
     6' PARAMETER : None                                              ',HELPSC    581
     7'  ',                                                             HELPSC    582
     8'  ',                                                             HELPSC    583
     9'  ',                                                             HELPSC    584
     O'  ',                                                             HELPSC    585
     1'  '/                                                             HELPSC    586
C                                                                       HELPSC    587
      DATA DPD1/                                                        HELPSC    588
     1'------------------------------------ DPDEVICE -------------------HELPSC    589
     *---------------',                                                 HELPSC    590
     2'                                                               ',HELPSC    591
     3' DPDEVICE  : Select device for digital plot. Valid devices are ',HELPSC    592
     4'             1. 80x24 terminal (Default device)                ',HELPSC    593
     5'             2. 80x24 file                                     ',HELPSC    594
     6'             3. 132x60 terminal                                ',HELPSC    595
     7'             4. 132x60 file                                    ',HELPSC    596
     8'                                                               ',HELPSC    597
     9'             ITOAP will prompt for the file name when applicable.HELPSC    598
     *',                                                                HELPSC    599
     O'                                                               ',HELPSC    600
     1' PARAMETER : 80    132                                         '/HELPSC    601
      DATA DPD2/                                                        HELPSC    602
     2'                                                               ',HELPSC    603
     3' EXAMPLE   :                                                   ',HELPSC    604
     4'                                                               ',HELPSC    605
     5'     DPDEVICE=80                                               ',HELPSC    606
     6'                                                               ',HELPSC    607
     7'   Select terminal as the output device in 80 column mode.     ',HELPSC    608
     8'                                                               ',HELPSC    609
     9'     DPDEVICE=132                                              ',HELPSC    610
     O'                                                               ',HELPSC    611
     1'   Select a file as the output device in 132 column mode.      ',HELPSC    612
     2'-----------------------------------------------------------------HELPSC    613
     *---------------'/                                                 HELPSC    614
C                                                                       HELPSC    615
      DATA DPP1/                                                        HELPSC    616
     1'------------------------------------ DPPLOT ---------------------HELPSC    617
     *---------------',                                                 HELPSC    618
     2'                                                               ',HELPSC    619
     3' DPPLOT    : Plot the contents from the plot buffer to the screenHELPSC    620
     * or draw',                                                        HELPSC    621
     4'             the plot into a file in digital form. The default plHELPSC    622
     *otting',                                                          HELPSC    623
     5'             device is an 80x24 terminal.                      ',HELPSC    624
     6'                                                               ',HELPSC    625
     7' PARAMETER : 80    132                                         ',HELPSC    626
     8'                                                               ',HELPSC    627
     9' EXAMPLE   :                                                   ',HELPSC    628
     O'                                                               ',HELPSC    629
     1'     DPPLOT                                                    '/HELPSC    630
      DATA DPP2/                                                        HELPSC    631
     2'     DPPLOT=80                                                 ',HELPSC    632
     3'                                                               ',HELPSC    633
     4'   Display plot on screen or draw plot into a file using a 80x24 HELPSC    634
     * plotting',                                                       HELPSC    635
     5'   page size.                                                  ',HELPSC    636
     6'                                                               ',HELPSC    637
     7'     DPPLOT=132                                                ',HELPSC    638
     8'                                                               ',HELPSC    639
     9'   Display plot on screen or draw plot into a file using a 132x60HELPSC    640
     * plotting',                                                       HELPSC    641
     O'   page size which is the resolution of a line printer.        ',HELPSC    642
     1'                                                               ',HELPSC    643
     2'-----------------------------------------------------------------HELPSC    644
     *---------------'/                                                 HELPSC    645
C                                                                       HELPSC    646
      DATA GPC /                                                        HELPSC    647
     1'------------------------------------ GPCLOSE --------------------HELPSC    648
     *---------------',                                                 HELPSC    649
     2'                                                               ',HELPSC    650
     3' GPCLOSE   : Close the postscript file opened by last GPDEVICE coHELPSC    651
     *mmand.',                                                          HELPSC    652
     4'  ',                                                             HELPSC    653
     5' PARAMETER : None                                              ',HELPSC    654
     6'  ',                                                             HELPSC    655
     7'  ',                                                             HELPSC    656
     8'  ',                                                             HELPSC    657
     9'  ',                                                             HELPSC    658
     O'  ',                                                             HELPSC    659
     1'  '/                                                             HELPSC    660
C                                                                       HELPSC    661
      DATA GPD1/                                                        HELPSC    662
     1'------------------------------------ GPDEVICE -------------------HELPSC    663
     *---------------',                                                 HELPSC    664
     2'                                                               ',HELPSC    665
     3' GPDEVICE  : Redirect the current plot to another supported devicHELPSC    666
     *e. The',                                                          HELPSC    667
     4'             device can be another type of graphics terminal or aHELPSC    668
     * printer',                                                        HELPSC    669
     5'             file (postscript).                                ',HELPSC    670
     6'                                                               ',HELPSC    671
     7' SYSTEM NOTE: For VAX/VMS system, a list of supported devices wilHELPSC    672
     *l be',                                                            HELPSC    673
     8'              displayed, and ITOAP will prompt for the device. ',HELPSC    674
     9'                                                               ',HELPSC    675
     O'              For systems with GKS/X-Windows interface, GPDEVICE HELPSC    676
     * is used to',                                                     HELPSC    677
     1'              generate a printer file which contains the postscriHELPSC    678
     *pt'/                                                              HELPSC    679
      DATA GPD2/                                                        HELPSC    680
     2'              information of the plot. This file can be printed iHELPSC    681
     *n any',                                                           HELPSC    682
     3'              postscript printer. ITOAP will prompt for this postHELPSC    683
     *script file',                                                     HELPSC    684
     4'              name. All plots are stored in this file until the GHELPSC    685
     *PCLEAR',                                                          HELPSC    686
     5'              command is issued.                               ',HELPSC    687
     6'                                                               ',HELPSC    688
     7' PARAMETER : None                                              ',HELPSC    689
     8'  ',                                                             HELPSC    690
     9'  ',                                                             HELPSC    691
     O'  ',                                                             HELPSC    692
     1'  ',                                                             HELPSC    693
     2'-----------------------------------------------------------------HELPSC    694
     *---------------'/                                                 HELPSC    695
C                                                                       HELPSC    696
      DATA GPN /                                                        HELPSC    697
     1'------------------------------------ GPNEXT ---------------------HELPSC    698
     *---------------',                                                 HELPSC    699
     2'                                                               ',HELPSC    700
     3' GPNEXT    : Clear the plotting page of the graphic plot and the HELPSC    701
     *plot',                                                            HELPSC    702
     4'             buffer. When hardcopy of the plot is requested, infoHELPSC    703
     *rmation of',                                                      HELPSC    704
     5'             the plot will be written into the hardcopy file (norHELPSC    705
     *mally a',                                                         HELPSC    706
     6'             postscript file). This file can be printed when the HELPSC    707
     * current',                                                        HELPSC    708
     7'             ITOAP session is completed.                       ',HELPSC    709
     8'                                                               ',HELPSC    710
     9' PARAMETER : None                                              ',HELPSC    711
     O'  ',                                                             HELPSC    712
     1'  '/                                                             HELPSC    713
C                                                                       HELPSC    714
      DATA GPP1/                                                        HELPSC    715
     1'------------------------------------ GPPLOT ---------------------HELPSC    716
     *---------------',                                                 HELPSC    717
     2'                                                               ',HELPSC    718
     3' GPPLOT    : Plot the contents from the plot buffer to the selectHELPSC    719
     *ed',                                                              HELPSC    720
     4'             plotting device(s). The default plotting device is aHELPSC    721
     * graphics',                                                       HELPSC    722
     5'             terminal.                                         ',HELPSC    723
     6'                                                               ',HELPSC    724
     7' SYSTEM NOTE: For VAX/VMS, the following plotting devices are supHELPSC    725
     *ported :',                                                        HELPSC    726
     8'                                                               ',HELPSC    727
     9'              1. Graphic terminal with TEK4014 emulation.      ',HELPSC    728
     O'              2. QMS/postscript laser printer.                 ',HELPSC    729
     1'              3. Versatec plotter.                             '/HELPSC    730
      DATA GPP2/                                                        HELPSC    731
     2'                                                               ',HELPSC    732
     3' PARAMETER : None                                              ',HELPSC    733
     4'                                                               ',HELPSC    734
     5'  ',                                                             HELPSC    735
     6'  ',                                                             HELPSC    736
     7'  ',                                                             HELPSC    737
     8'  ',                                                             HELPSC    738
     9'  ',                                                             HELPSC    739
     O'  ',                                                             HELPSC    740
     1'  ',                                                             HELPSC    741
     2'-----------------------------------------------------------------HELPSC    742
     *---------------'/                                                 HELPSC    743
C                                                                       HELPSC    744
      DATA G3D /                                                        HELPSC    745
     1'-------------------------------------- G3D ----------------------HELPSC    746
     *---------------',                                                 HELPSC    747
     2'                                                               ',HELPSC    748
     3' G3D       : Generate a 3-D plot. At least 2 channels must be acqHELPSC    749
     *uired using',                                                     HELPSC    750
     4'             GETCHNL.                                          ',HELPSC    751
     5'                                                               ',HELPSC    752
     6' SYSTEM NOTE: This activity is available in X-Windows version onlHELPSC    753
     *y.',                                                              HELPSC    754
     7'                                                               ',HELPSC    755
     8' PARAMETER : None                                              ',HELPSC    756
     9'  ',                                                             HELPSC    757
     O'  ',                                                             HELPSC    758
     1'  '/                                                             HELPSC    759
C                                                                       HELPSC    760
      DATA G3P /                                                        HELPSC    761
     1'-------------------------------------- GP3D ---------------------HELPSC    762
     *---------------',                                                 HELPSC    763
     2'                                                               ',HELPSC    764
     3' GP3D      : Copy the 3-D plot into postscript format file. The sHELPSC    765
     *ettings',                                                         HELPSC    766
     4'             (view point and scaling) last selected in G3D will bHELPSC    767
     *e used.',                                                         HELPSC    768
     5'                                                               ',HELPSC    769
     6'             ITOAP will prompt for the postscript file name.   ',HELPSC    770
     7'                                                               ',HELPSC    771
     8' SYSTEM NOTE: This activity is available in X-Windows version onlHELPSC    772
     *y.',                                                              HELPSC    773
     9'                                                               ',HELPSC    774
     O' PARAMETER : None                                              ',HELPSC    775
     1'  '/                                                             HELPSC    776
C                                                                       HELPSC    777
      DATA G3M /                                                        HELPSC    778
     1'-------------------------------------- G3M ----------------------HELPSC    779
     *---------------',                                                 HELPSC    780
     2'                                                               ',HELPSC    781
     3' G3M       : Generate a 3-D mesh surface plot to display multi chHELPSC    782
     *annel data.',                                                     HELPSC    783
     4'             At least 2 channels must be acquired using GETCHNL.'HELPSC    784
     *,                                                                 HELPSC    785
     5'                                                               ',HELPSC    786
     6' SYSTEM NOTE: This activity is available in X-Windows version onlHELPSC    787
     *y.',                                                              HELPSC    788
     7'                                                               ',HELPSC    789
     8' PARAMETER : None                                              ',HELPSC    790
     9'  ',                                                             HELPSC    791
     O'  ',                                                             HELPSC    792
     1'  '/                                                             HELPSC    793
C                                                                       HELPSC    794
      DATA FUN1 /                                                       HELPSC    795
     1'----------------------------------- FUNCTION --------------------HELPSC    796
     *---------------',                                                 HELPSC    797
     2'                                                               ',HELPSC    798
     3' FUNCTION  : Perform mathematical manipulations and analyses on cHELPSC    799
     *hannel data.',                                                    HELPSC    800
     4'                                                               ',HELPSC    801
     5' PARAMETER : CALC    LSF    ENVELOPE    RLY                    ',HELPSC    802
     6'                                                               ',HELPSC    803
     7' EXAMPLE   :                                                   ',HELPSC    804
     8'                                                               ',HELPSC    805
     9'     FUNCTION=CALC                                             ',HELPSC    806
     O'                                                               ',HELPSC    807
     1'   Allows arithmetic functions to be used on the channel data. '/HELPSC    808
      DATA FUN2 /                                                       HELPSC    809
     2'                                                               ',HELPSC    810
     3'     FUNCTION=LSF (ch1, ..., ch6)                              ',HELPSC    811
     4'                                                               ',HELPSC    812
     5'   Computes and plots the least squares fit of channel data. OnlyHELPSC    813
     * channel ',                                                       HELPSC    814
     6'   number can be used.                                         ',HELPSC    815
     7'  ',                                                             HELPSC    816
     8'  ',                                                             HELPSC    817
     9'  ',                                                             HELPSC    818
     O'  ',                                                             HELPSC    819
     1'                                                   Continue ...',HELPSC    820
     2'-----------------------------------------------------------------HELPSC    821
     *---------------'/                                                 HELPSC    822
C                                                                       HELPSC    823
      DATA FUN3 /                                                       HELPSC    824
     1'----------------------------------- FUNCTION --------------------HELPSC    825
     *---------------',                                                 HELPSC    826
     2'                                                               ',HELPSC    827
     3'     FUNCTION=ENVELOPE (ch)                                    ',HELPSC    828
     4'                                                               ',HELPSC    829
     5'   Computes and plots the upper and lower envelopes, trend lines,HELPSC    830
     * and the',                                                        HELPSC    831
     6'   peak-to-peak line. Only channel number can be used.         ',HELPSC    832
     7'                                                               ',HELPSC    833
     8'     FUNCTION=RLY                                              ',HELPSC    834
     9'                                                               ',HELPSC    835
     O'   Computes the margins for the monitored lines which have been tHELPSC    836
     *ripped. ',                                                        HELPSC    837
     1'                                                               '/HELPSC    838
      DATA FUN4 /                                                       HELPSC    839
     2'                                                               ',HELPSC    840
     3'  For further information on a specific parameter, type HELP=paraHELPSC    841
     *meter name.',                                                     HELPSC    842
     4'  ',                                                             HELPSC    843
     5'  ',                                                             HELPSC    844
     6'  ',                                                             HELPSC    845
     7'  ',                                                             HELPSC    846
     8'  ',                                                             HELPSC    847
     9'  ',                                                             HELPSC    848
     O'  ',                                                             HELPSC    849
     1'  ',                                                             HELPSC    850
     2'-----------------------------------------------------------------HELPSC    851
     *---------------'/                                                 HELPSC    852
C                                                                       HELPSC    853
      DATA CAL1/                                                        HELPSC    854
     1' -------------------------------- FUNCTION=CALC -----------------HELPSC    855
     *---------------',                                                 HELPSC    856
     2'                                                               ',HELPSC    857
     3' FUNCTION=CALC  : This activity perform mathematical manipulationHELPSC    858
     *s on',                                                            HELPSC    859
     4'                  multiple channel data. Channel data are stored HELPSC    860
     * in channel',                                                     HELPSC    861
     5'                  list and user defined real varaibles are permitHELPSC    862
     *ted.',                                                            HELPSC    863
     6'                                                               ',HELPSC    864
     7'                  Refer to Section 18 of the user manual for moreHELPSC    865
     * detail about',                                                   HELPSC    866
     8'                  the features and restrictions of this activity HELPSC    867
     *.',                                                               HELPSC    868
     9'                                                               ',HELPSC    869
     O'                  The following is a description of the facilitieHELPSC    870
     *s available.',                                                    HELPSC    871
     1'                                                               '/HELPSC    872
      DATA CAL2/                                                        HELPSC    873
     2'                                                               ',HELPSC    874
     3'  Variables and Channel Lists                                  ',HELPSC    875
     4'  ---------------------------                                  ',HELPSC    876
     5'                                                               ',HELPSC    877
     6'  - 50 real variables and 5 channel lists may be defined. TIME isHELPSC    878
     * the',                                                            HELPSC    879
     7'    predefined channel list.                                   ',HELPSC    880
     8'  - Variable names and channel list may be 1 to 6 characters/dig HELPSC    881
     *its (must not',                                                   HELPSC    882
     9'    start with a digit).                                       ',HELPSC    883
     O'                                                               ',HELPSC    884
     1'                                                   Continue ...',HELPSC    885
     2'-----------------------------------------------------------------HELPSC    886
     *---------------'/                                                 HELPSC    887
C                                                                       HELPSC    888
      DATA CAL3/                                                        HELPSC    889
     1' -------------------------------- FUNCTION=CALC -----------------HELPSC    890
     *---------------',                                                 HELPSC    891
     2'                                                               ',HELPSC    892
     3'  Basic Arithmetic                                             ',HELPSC    893
     4'  ----------------                                             ',HELPSC    894
     5'                                                               ',HELPSC    895
     6'  - Operators are +,-,*,/,(** or ^).                           ',HELPSC    896
     7'  - Channel lists must be defined before operation.            ',HELPSC    897
     8'                                                               ',HELPSC    898
     9'                                                               ',HELPSC    899
     O'  Built in Functions                                           ',HELPSC    900
     1'  ------------------                                           '/HELPSC    901
      DATA CAL4/                                                        HELPSC    902
     2'                                                               ',HELPSC    903
     3'  - Have same meaning as similar FORTRAN intrinsic functions.  ',HELPSC    904
     4'  - Operand may be a variable, a channel list (of any length), orHELPSC    905
     * a real',                                                         HELPSC    906
     5'    number.',                                                    HELPSC    907
     6'                                                               ',HELPSC    908
     7'                                                               ',HELPSC    909
     8'                                                               ',HELPSC    910
     9'                                                               ',HELPSC    911
     O'                                                               ',HELPSC    912
     1'                                                   Continue ...',HELPSC    913
     2'-----------------------------------------------------------------HELPSC    914
     *---------------'/                                                 HELPSC    915
C                                                                       HELPSC    916
      DATA CAL5/                                                        HELPSC    917
     1' -------------------------------- FUNCTION=CALC -----------------HELPSC    918
     *---------------',                                                 HELPSC    919
     2'                                                               ',HELPSC    920
     3'  Commands                                                     ',HELPSC    921
     4'  --------                                                     ',HELPSC    922
     5'                                                               ',HELPSC    923
     6'   CLEAR  : Delete all user defined variables and channel lists  HELPSC    924
     *.',                                                               HELPSC    925
     7'                                                               ',HELPSC    926
     8'   LIST   : Display variable and channel list names that have beeHELPSC    927
     *n defined.',                                                      HELPSC    928
     9'                                                               ',HELPSC    929
     O'   PLOT   : Transfer the contents of a channel list in the plot bHELPSC    930
     *uffer.',                                                          HELPSC    931
     1'            All titles are prompted for.                       '/HELPSC    932
      DATA CAL6/                                                        HELPSC    933
     2'                                                               ',HELPSC    934
     3'   RETURN : End FUNCTION=CALC session and return to ITOAP prompt HELPSC    935
     *.',                                                               HELPSC    936
     4'                                                               ',HELPSC    937
     5'   SHOW   : Display the contents of a specific variable or a chanHELPSC    938
     *nel list.',                                                       HELPSC    939
     6'                                                               ',HELPSC    940
     7'                                                               ',HELPSC    941
     8'                                                               ',HELPSC    942
     9'                                                               ',HELPSC    943
     O'                                                               ',HELPSC    944
     1' PARAMETER      : None                                         ',HELPSC    945
     2'-----------------------------------------------------------------HELPSC    946
     *---------------'/                                                 HELPSC    947
C                                                                       HELPSC    948
      DATA RLY/                                                         HELPSC    949
     1'--------------------------------- FUNCTION=RLY ------------------HELPSC    950
     *---------------',                                                 HELPSC    951
     2'                                                               ',HELPSC    952
     3' FUNCTION=RLY  : This command computes the margins for a particulHELPSC    953
     *ar relay',                                                        HELPSC    954
     4'                 which have been tripped. The minimum margins areHELPSC    955
     * printed on',                                                     HELPSC    956
     5'                 the screen along with the corresponding time, zoHELPSC    957
     *ne name, and',                                                    HELPSC    958
     6'                 relay type. A detailed printout is written to thHELPSC    959
     *e user',                                                          HELPSC    960
     7'                 specified file, which will be prompted by ITOAP,HELPSC    961
     * and the relay',                                                  HELPSC    962
     8'                 margin can be plotted using DPPLOT or GPPLOT. ',HELPSC    963
     9'                                                               ',HELPSC    964
     O' PARAMETER     : None                                          ',HELPSC    965
     1'                                                               '/HELPSC    966
C                                                                       HELPSC    967
      DATA ENV1/                                                        HELPSC    968
     1'------------------------------- FUNCTION=ENVELOPE ---------------HELPSC    969
     *---------------',                                                 HELPSC    970
     2'                                                               ',HELPSC    971
     3' FUNCTION=ENVELOPE  : The envelope for one channel at a time may HELPSC    972
     * be plotted.',                                                    HELPSC    973
     4'                      Along with the upper and lower envelopes, tHELPSC    974
     *he original',                                                     HELPSC    975
     5'                      curve, the trend line, and the peak-to-peakHELPSC    976
     * line are',                                                       HELPSC    977
     6'                      also plotted. The plot buffer must be emptyHELPSC    978
     * before',                                                         HELPSC    979
     7'                      execution. The trend line is the average ofHELPSC    980
     * the upper',                                                      HELPSC    981
     8'                      and lower envelope lines. The peak-to-peak HELPSC    982
     * line is the',                                                    HELPSC    983
     9'                      difference of the upper envelope and the loHELPSC    984
     *wer envelope.',                                                   HELPSC    985
     O'                      These quantities can be plotted using DPPLOHELPSC    986
     *T or GPPLOT.'/                                                    HELPSC    987
      DATA ENV2/                                                        HELPSC    988
     1'                                                               ',HELPSC    989
     2'                      ITOAP will prompt for the time period for cHELPSC    990
     *alculation.',                                                     HELPSC    991
     3'                                                               ',HELPSC    992
     4' PARAMETER     : (Channel number)                              ',HELPSC    993
     5'                                                               ',HELPSC    994
     6' EXAMPLE       :                                               ',HELPSC    995
     7'                                                               ',HELPSC    996
     8'     FUNCTION=ENVELOPE(11)                                     ',HELPSC    997
     9'                                                               ',HELPSC    998
     O'   Determine the envelopes of channel 11.                      ',HELPSC    999
     1'                                                               ',HELPSC   1000
     2'-----------------------------------------------------------------HELPSC   1001
     *---------------'/                                                 HELPSC   1002
C                                                                       HELPSC   1003
      DATA LSF1 /                                                       HELPSC   1004
     1'--------------------------------- FUNCTION=LSF ------------------HELPSC   1005
     *---------------',                                                 HELPSC   1006
     2'                                                               ',HELPSC   1007
     3' FUNCTION=LSF  : The least squares fit can be computed for any tiHELPSC   1008
     *me period of',                                                    HELPSC   1009
     4'                 interest. This can be done by specifying the staHELPSC   1010
     *rt time and',                                                     HELPSC   1011
     5'                 end time. The least squares fit for one period oHELPSC   1012
     *f interest',                                                      HELPSC   1013
     6'                 can be very different from the fit of another peHELPSC   1014
     *riod.',                                                           HELPSC   1015
     7'                 Normally, a period after all the switching has bHELPSC   1016
     *een',                                                             HELPSC   1017
     8'                 completed would be selected. Up to 6 channels caHELPSC   1018
     *n be',                                                            HELPSC   1019
     9'                 processed at the same time.                   ',HELPSC   1020
     O'                                                               ',HELPSC   1021
     1'                 ITOAP will prompt for the time period for fittinHELPSC   1022
     *g.'/                                                              HELPSC   1023
      DATA LSF2/                                                        HELPSC   1024
     2'                                                               ',HELPSC   1025
     3' PARAMETER     : (ch1, ..., ch6)                               ',HELPSC   1026
     4'                                                               ',HELPSC   1027
     5' EXAMPLE       :                                               ',HELPSC   1028
     6'                                                               ',HELPSC   1029
     7'     FUNCTION=LSF(11, 12, 13)                                  ',HELPSC   1030
     8'                                                               ',HELPSC   1031
     9'   Perform least-squares-fit on channels 11, 12 and 13.        ',HELPSC   1032
     O'  ',                                                             HELPSC   1033
     1'  ',                                                             HELPSC   1034
     2'-----------------------------------------------------------------HELPSC   1035
     *---------------'/                                                 HELPSC   1036
C                                                                       HELPSC   1037
      DATA ALR/                                                         HELPSC   1038
     1'----------------------------------- ALRELAY ---------------------HELPSC   1039
     *---------------',                                                 HELPSC   1040
     2'                                                               ',HELPSC   1041
     3' ALRELAY   : This command computes the margins for all the monitoHELPSC   1042
     *red relays',                                                      HELPSC   1043
     4'             which have been tripped. The minimum margins are priHELPSC   1044
     *nted on the',                                                     HELPSC   1045
     5'             screen along with the corresponding time, zone name,HELPSC   1046
     * and relay',                                                      HELPSC   1047
     6'             type. A detailed printout is written to the user speHELPSC   1048
     *cified file ',                                                    HELPSC   1049
     7'             which will be prompted by ITOAP. This activitiy do nHELPSC   1050
     *ot plot the',                                                     HELPSC   1051
     8'             relay margins. To study a particular relay, the FUNCHELPSC   1052
     *TION=RLY',                                                        HELPSC   1053
     9'             command should be used.                           ',HELPSC   1054
     O'                                                               ',HELPSC   1055
     1' PARAMETER : None                                              '/HELPSC   1056
C                                                                       HELPSC   1057
      DATA FIL/                                                         HELPSC   1058
     1'------------------------------------- FRUN ----------------------HELPSC   1059
     *---------------',                                                 HELPSC   1060
     2'                                                               ',HELPSC   1061
     3' FRUN      : This command invokes the batch-run mode of ITOAP. ',HELPSC   1062
     4'                                                               ',HELPSC   1063
     5'             ITOAP will prompt for the batch-run command file namHELPSC   1064
     *e.',                                                              HELPSC   1065
     6'             Refer to Section 18 of the user manual for more detaHELPSC   1066
     *il about the',                                                    HELPSC   1067
     7'             format and the batch-run commands available.      ',HELPSC   1068
     8'                                                               ',HELPSC   1069
     9' PARAMETER : None                                              ',HELPSC   1070
     O'  ',                                                             HELPSC   1071
     1'  '/                                                             HELPSC   1072
C                                                                       HELPSC   1073
      DATA OPA1/                                                        HELPSC   1074
     1'----------------------------------- OPASCII ---------------------HELPSC   1075
     *---------------',                                                 HELPSC   1076
     2'                                                               ',HELPSC   1077
     3' OPASCII   : Open an ASCII file which contains at least 2 or moreHELPSC   1078
     * columns of',                                                     HELPSC   1079
     4'             The data file can be generated by other program or bHELPSC   1080
     *y a text',                                                        HELPSC   1081
     5'             editor. Data can be read by the RDASCII command. If HELPSC   1082
     *a file is',                                                       HELPSC   1083
     6'             already opened, the old file will be closed before tHELPSC   1084
     *he new file',                                                     HELPSC   1085
     7'             is opened.                                        ',HELPSC   1086
     8'                                                               ',HELPSC   1087
     9' PARAMETER : File name <logical unit number>                   ',HELPSC   1088
     O'                                                               ',HELPSC   1089
     1'   With the exception of IBM/MVS computers, the logical unit numbHELPSC   1090
     *er is'/                                                           HELPSC   1091
      DATA OPA2/                                                        HELPSC   1092
     2'   optional.                                                   ',HELPSC   1093
     3'                                                               ',HELPSC   1094
     4' EXAMPLE   :                                                   ',HELPSC   1095
     5'                                                               ',HELPSC   1096
     6'     OPASCII=ITOAP.ASC <99>                                    ',HELPSC   1097
     7'                                                               ',HELPSC   1098
     8'   Open ASCII file called ITOAP.ASC using logical unit number 99.HELPSC   1099
     *',                                                                HELPSC   1100
     9'  ',                                                             HELPSC   1101
     O'  ',                                                             HELPSC   1102
     1'  ',                                                             HELPSC   1103
     2'-----------------------------------------------------------------HELPSC   1104
     *---------------'/                                                 HELPSC   1105
C                                                                       HELPSC   1106
      DATA RDA/                                                         HELPSC   1107
     1'----------------------------------- RDASCII ---------------------HELPSC   1108
     *---------------',                                                 HELPSC   1109
     2'                                                               ',HELPSC   1110
     3' RDASCII   : Read data from an ASCII file. Data of the first coluHELPSC   1111
     *mn is',                                                           HELPSC   1112
     4'             assumed to be TIME (X-axis). Up to 6 Y-axis variableHELPSC   1113
     *s can be',                                                        HELPSC   1114
     5'             processed. Note that the data file must be opened usHELPSC   1115
     *ing the',                                                         HELPSC   1116
     6'             OPASCII command.',                                  HELPSC   1117
     7'                                                               ',HELPSC   1118
     8' PARAMETER : None                                              ',HELPSC   1119
     9'                                                               ',HELPSC   1120
     O'  ',                                                             HELPSC   1121
     1'  '/                                                             HELPSC   1122
C                                                                       HELPSC   1123
      DATA SPE1/                                                        HELPSC   1124
     1'----------------------------------- SPECTRUM --------------------HELPSC   1125
     *---------------',                                                 HELPSC   1126
     2'                                                               ',HELPSC   1127
     3' SPECTRUM  : The PRONY routine is utilized to perform a spectral HELPSC   1128
     * analysis on',                                                    HELPSC   1129
     4'             the channel listed. The dominant eigenvalues are appHELPSC   1130
     *roximated',                                                       HELPSC   1131
     5'             and the magnitude and phase versus frequency are comHELPSC   1132
     *puted.',                                                          HELPSC   1133
     6'                                                               ',HELPSC   1134
     7'             The time period of interest can be selected by enterHELPSC   1135
     *ing the',                                                         HELPSC   1136
     8'             starting and ending time. Any mode less than the speHELPSC   1137
     *cified',                                                          HELPSC   1138
     9'             MODE TRIM (in %) will not be printed. The frequency HELPSC   1139
     * modes will be',                                                  HELPSC   1140
     O'             displayed on the screen. A detailed analysis is writHELPSC   1141
     *ten to the',                                                      HELPSC   1142
     1'             user specified file.                              '/HELPSC   1143
      DATA SPE2/                                                        HELPSC   1144
     2'                                                               ',HELPSC   1145
     3'             The results from the analysis can be saved to the plHELPSC   1146
     *ot buffer',                                                       HELPSC   1147
     4'             for plotting. Once the data is saved in the plot bufHELPSC   1148
     *fer, GPPLOT',                                                     HELPSC   1149
     5'             or DPPLOT commands can be used to plot the curve. ',HELPSC   1150
     6'                                                               ',HELPSC   1151
     7'             Refer to Section 18 of the user manual for more detaHELPSC   1152
     *il about the',                                                    HELPSC   1153
     8'             features and restrictions of this activity.       ',HELPSC   1154
     9'                                                               ',HELPSC   1155
     O'                                                               ',HELPSC   1156
     1'                                                   Continue ...',HELPSC   1157
     2'-----------------------------------------------------------------HELPSC   1158
     *---------------'/                                                 HELPSC   1159
C                                                                       HELPSC   1160
      DATA SPE3/                                                        HELPSC   1161
     1'----------------------------------- SPECTRUM --------------------HELPSC   1162
     *---------------',                                                 HELPSC   1163
     2'                                                               ',HELPSC   1164
     3' PARAMETER : (ch1, ..., ch6)                                   ',HELPSC   1165
     4'                                                               ',HELPSC   1166
     5' EXAMPLE   :                                                   ',HELPSC   1167
     6'                                                               ',HELPSC   1168
     7'     FUNCTION=SPE(11, 12, 13)                                  ',HELPSC   1169
     8'                                                               ',HELPSC   1170
     9'   Perform spectral analysis on channels 11, 12 and 13.        ',HELPSC   1171
     O'                                                               ',HELPSC   1172
     1'  '/                                                             HELPSC   1173
C                                                                       HELPSC   1174
      DATA LIM1/                                                        HELPSC   1175
     1'------------------------------------ LIMITS ---------------------HELPSC   1176
     *---------------',                                                 HELPSC   1177
     2'                                                               ',HELPSC   1178
     3' LIMITS    : Provide lists of channel for which any data of theseHELPSC   1179
     * channels',                                                       HELPSC   1180
     4'             fall into one or more of the following catagories:',HELPSC   1181
     5'                                                               ',HELPSC   1182
     6'               1. Data exceed a specific maximum value.        ',HELPSC   1183
     7'               2. Data smaller than a specific minimum value.  ',HELPSC   1184
     8'               3. Data lie within a specific range.            ',HELPSC   1185
     9'               4. Difference in data exceeds a specific limit. ',HELPSC   1186
     O'                                                               ',HELPSC   1187
     1'             This command will also display the maximum and minimHELPSC   1188
     *um values of'/                                                    HELPSC   1189
      DATA LIM2/                                                        HELPSC   1190
     2'             the channel data.                                 ',HELPSC   1191
     3'                                                               ',HELPSC   1192
     4'             ITOAP will prompt for the channel type and the valueHELPSC   1193
     *. Channel',                                                       HELPSC   1194
     5'             type can be listed by using GETCHNL=LIST command. ',HELPSC   1195
     6'                                                               ',HELPSC   1196
     7' PARAMETER : None                                              ',HELPSC   1197
     8'  ',                                                             HELPSC   1198
     9'  ',                                                             HELPSC   1199
     O'  ',                                                             HELPSC   1200
     1'  ',                                                             HELPSC   1201
     2'-----------------------------------------------------------------HELPSC   1202
     *---------------'/                                                 HELPSC   1203
C                                                                       HELPSC   1204
      IF(COMM(1:6).EQ.'ENDDEB') THEN                                    HELPSC   1205
         CLOSE(99)                                                      HELPSC   1206
         DO 300 IX=1,40                                                 HELPSC   1207
            DEBUG(IX)=.FALSE.                                           HELPSC   1208
  300    CONTINUE                                                       HELPSC   1209
         WRITE(LOUT,1025)                                               HELPSC   1210
 1025    FORMAT(/,1X,' Debug file FOR099.DAT now closed.',/)            HELPSC   1211
         GO TO 150                                                      HELPSC   1212
      ENDIF                                                             HELPSC   1213
C                                                                       HELPSC   1214
      DO 350 I=1,50                                                     HELPSC   1215
        IF(COMM(1:3).EQ.TYPE(I))GOTO 360                                HELPSC   1216
 350  CONTINUE                                                          HELPSC   1217
      IF (I.GT.50) I=4                                                  HELPSC   1218
 360  ITYPE=I                                                           HELPSC   1219
C                                                                       HELPSC   1220
      GO TO (                                                           HELPSC   1221
C      1     2     3     4     5     6     7     8     9     10         HELPSC   1222
     *2010, 2020, 2040, 2040, 2050, 2060, 2070, 2080, 2090, 2100,       HELPSC   1223
C                                                                       HELPSC   1224
C      11    12    13    14    15    16    17    18    19    20         HELPSC   1225
     *2110, 2120, 2130, 2140, 2150, 2160, 2170, 2180, 2190, 2200,       HELPSC   1226
C                                                                       HELPSC   1227
C      21    22    23    24    25    26    27    28    29    30         HELPSC   1228
     *2210, 2220, 2230, 2240, 2250, 2260, 2270, 2280, 2290, 2300,       HELPSC   1229
C                                                                       HELPSC   1230
C      31    32    33    34    35    36    37    38    39    40         HELPSC   1231
     *2310, 2320, 2330, 2340, 2350, 2360, 2370, 2380, 2390, 2400,       HELPSC   1232
C                                                                       HELPSC   1233
C      41    42    43    44    45    46    47    48    49    50         HELPSC   1234
     *2410, 2420, 2430, 2440, 2450, 2460, 2470, 2480, 2490, 2500),ITYPE HELPSC   1235
C                                                                       HELPSC   1236
 2010 CONTINUE                                                          HELPSC   1237
      WRITE(LOUT,1000) DEL1                                             HELPSC   1238
      WRITE(LOUT,1000) DEL2                                             HELPSC   1239
      GOTO 150                                                          HELPSC   1240
C                                                                       HELPSC   1241
 2020 CONTINUE                                                          HELPSC   1242
      WRITE(LOUT,1000) GET1                                             HELPSC   1243
      WRITE(LOUT,1000) GET2                                             HELPSC   1244
      GOTO 150                                                          HELPSC   1245
C                                                                       HELPSC   1246
 2040 CONTINUE                                                          HELPSC   1247
      WRITE(LOUT,1000) HEL1                                             HELPSC   1248
      WRITE(LOUT,1000) HEL2                                             HELPSC   1249
*IF DIGITAL                                                             HELPSC   1250
*ENDIF                                                                  HELPSC   1252
      IF (QQ(LIN,LOUT).NE.'Q') THEN                                     HELPSC   1253
         WRITE(LOUT,1000) HEL3                                          HELPSC   1254
         WRITE(LOUT,1000) HEL4                                          HELPSC   1255
*IF DIGITAL                                                             HELPSC   1256
*ENDIF                                                                  HELPSC   1258
         IF (QQ(LIN,LOUT).NE.'Q') THEN                                  HELPSC   1259
            WRITE(LOUT,1000) HEL5                                       HELPSC   1260
            WRITE(LOUT,1000) HEL6                                       HELPSC   1261
         ENDIF                                                          HELPSC   1262
      ENDIF                                                             HELPSC   1263
      GOTO 150                                                          HELPSC   1264
C                                                                       HELPSC   1265
 2050 CONTINUE                                                          HELPSC   1266
      WRITE(LOUT,1000) LIS                                              HELPSC   1267
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1268
      GOTO 150                                                          HELPSC   1269
C                                                                       HELPSC   1270
 2060 CONTINUE                                                          HELPSC   1271
      WRITE(LOUT,1000) MEN                                              HELPSC   1272
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1273
      GOTO 150                                                          HELPSC   1274
C                                                                       HELPSC   1275
 2070 CONTINUE                                                          HELPSC   1276
      WRITE(LOUT,1000) MSA1                                             HELPSC   1277
      WRITE(LOUT,1000) MSA2                                             HELPSC   1278
      GOTO 150                                                          HELPSC   1279
C                                                                       HELPSC   1280
 2080 CONTINUE                                                          HELPSC   1281
      WRITE(LOUT,1000) NAM                                              HELPSC   1282
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1283
      GOTO 150                                                          HELPSC   1284
C                                                                       HELPSC   1285
 2090 CONTINUE                                                          HELPSC   1286
      WRITE(LOUT,1000) NUM                                              HELPSC   1287
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1288
      GOTO 150                                                          HELPSC   1289
C                                                                       HELPSC   1290
 2100 CONTINUE                                                          HELPSC   1291
      WRITE(LOUT,1000) OPE1                                             HELPSC   1292
      WRITE(LOUT,1000) OPE2                                             HELPSC   1293
      GOTO 150                                                          HELPSC   1294
C                                                                       HELPSC   1295
 2110 CONTINUE                                                          HELPSC   1296
      WRITE(LOUT,1000) PLA1                                             HELPSC   1297
      WRITE(LOUT,1000) PLA2                                             HELPSC   1298
      GOTO 150                                                          HELPSC   1299
C                                                                       HELPSC   1300
 2120 CONTINUE                                                          HELPSC   1301
      WRITE(LOUT,1000) QUI                                              HELPSC   1302
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1303
      GOTO 150                                                          HELPSC   1304
C                                                                       HELPSC   1305
 2130 CONTINUE                                                          HELPSC   1306
      WRITE(LOUT,1000) REC1                                             HELPSC   1307
      WRITE(LOUT,1000) REC2                                             HELPSC   1308
      GOTO 150                                                          HELPSC   1309
C                                                                       HELPSC   1310
 2140 CONTINUE                                                          HELPSC   1311
      WRITE(LOUT,1000) RES                                              HELPSC   1312
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1313
      GOTO 150                                                          HELPSC   1314
C                                                                       HELPSC   1315
 2150 CONTINUE                                                          HELPSC   1316
      WRITE(LOUT,1000) SAV1                                             HELPSC   1317
      WRITE(LOUT,1000) SAV2                                             HELPSC   1318
      GOTO 150                                                          HELPSC   1319
C                                                                       HELPSC   1320
 2160 CONTINUE                                                          HELPSC   1321
      WRITE(LOUT,1000) STO                                              HELPSC   1322
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1323
      GOTO 150                                                          HELPSC   1324
C                                                                       HELPSC   1325
 2170 CONTINUE                                                          HELPSC   1326
      WRITE(LOUT,1000) TIT                                              HELPSC   1327
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1328
      GOTO 150                                                          HELPSC   1329
C                                                                       HELPSC   1330
 2180 CONTINUE                                                          HELPSC   1331
      WRITE(LOUT,1000) VMS1                                             HELPSC   1332
      WRITE(LOUT,1000) VMS2                                             HELPSC   1333
      GOTO 150                                                          HELPSC   1334
C                                                                       HELPSC   1335
 2190 CONTINUE                                                          HELPSC   1336
C                                                                       HELPSC   1337
 2200 CONTINUE                                                          HELPSC   1338
      GOTO 2040                                                         HELPSC   1339
C                                                                       HELPSC   1340
 2210 CONTINUE                                                          HELPSC   1341
      WRITE(LOUT,1000) DPC                                              HELPSC   1342
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1343
      GOTO 150                                                          HELPSC   1344
C                                                                       HELPSC   1345
 2220 CONTINUE                                                          HELPSC   1346
      WRITE(LOUT,1000) DPD1                                             HELPSC   1347
      WRITE(LOUT,1000) DPD2                                             HELPSC   1348
      GOTO 150                                                          HELPSC   1349
C                                                                       HELPSC   1350
 2230 CONTINUE                                                          HELPSC   1351
      WRITE(LOUT,1000) DPP1                                             HELPSC   1352
      WRITE(LOUT,1000) DPP2                                             HELPSC   1353
      GOTO 150                                                          HELPSC   1354
C                                                                       HELPSC   1355
 2240 CONTINUE                                                          HELPSC   1356
      WRITE(LOUT,1000) GPC                                              HELPSC   1357
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1358
      GOTO 150                                                          HELPSC   1359
C                                                                       HELPSC   1360
 2250 CONTINUE                                                          HELPSC   1361
      WRITE(LOUT,1000) GPD1                                             HELPSC   1362
      WRITE(LOUT,1000) GPD2                                             HELPSC   1363
      GOTO 150                                                          HELPSC   1364
C                                                                       HELPSC   1365
 2260 CONTINUE                                                          HELPSC   1366
      WRITE(LOUT,1000) GPN                                              HELPSC   1367
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1368
      GOTO 150                                                          HELPSC   1369
C                                                                       HELPSC   1370
 2270 CONTINUE                                                          HELPSC   1371
      WRITE(LOUT,1000) GPP1                                             HELPSC   1372
      WRITE(LOUT,1000) GPP2                                             HELPSC   1373
      GOTO 150                                                          HELPSC   1374
C                                                                       HELPSC   1375
 2280 CONTINUE                                                          HELPSC   1376
      WRITE(LOUT,1000) G3D                                              HELPSC   1377
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1378
      GOTO 150                                                          HELPSC   1379
C                                                                       HELPSC   1380
 2290 CONTINUE                                                          HELPSC   1381
      WRITE(LOUT,1000) G3M                                              HELPSC   1382
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1383
      GOTO 150                                                          HELPSC   1384
C                                                                       HELPSC   1385
 2300 CONTINUE                                                          HELPSC   1386
      WRITE(LOUT,1000) G3P                                              HELPSC   1387
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1388
      GOTO 150                                                          HELPSC   1389
C                                                                       HELPSC   1390
 2310 CONTINUE                                                          HELPSC   1391
      WRITE(LOUT,1000) ALR                                              HELPSC   1392
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1393
      GOTO 150                                                          HELPSC   1394
C                                                                       HELPSC   1395
 2320 CONTINUE                                                          HELPSC   1396
      WRITE(LOUT,1000) FIL                                              HELPSC   1397
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1398
      GOTO 150                                                          HELPSC   1399
C                                                                       HELPSC   1400
 2330 CONTINUE                                                          HELPSC   1401
      WRITE(LOUT,1000) FUN1                                             HELPSC   1402
      WRITE(LOUT,1000) FUN2                                             HELPSC   1403
*IF DIGITAL                                                             HELPSC   1404
*ENDIF                                                                  HELPSC   1406
      IF (QQ(LIN,LOUT).NE.'Q') THEN                                     HELPSC   1407
        WRITE(LOUT,1000) FUN3                                           HELPSC   1408
        WRITE(LOUT,1000) FUN4                                           HELPSC   1409
      ENDIF                                                             HELPSC   1410
      GOTO 150                                                          HELPSC   1411
C                                                                       HELPSC   1412
 2340 CONTINUE                                                          HELPSC   1413
      WRITE(LOUT,1000) CAL1                                             HELPSC   1414
      WRITE(LOUT,1000) CAL2                                             HELPSC   1415
*IF DIGITAL                                                             HELPSC   1416
*ENDIF                                                                  HELPSC   1418
      IF (QQ(LIN,LOUT).NE.'Q') THEN                                     HELPSC   1419
        WRITE(LOUT,1000) CAL3                                           HELPSC   1420
        WRITE(LOUT,1000) CAL4                                           HELPSC   1421
*IF DIGITAL                                                             HELPSC   1422
*ENDIF                                                                  HELPSC   1424
        IF (QQ(LIN,LOUT).NE.'Q') THEN                                   HELPSC   1425
          WRITE(LOUT,1000) CAL5                                         HELPSC   1426
          WRITE(LOUT,1000) CAL6                                         HELPSC   1427
        ENDIF                                                           HELPSC   1428
      ENDIF                                                             HELPSC   1429
      GOTO 150                                                          HELPSC   1430
C                                                                       HELPSC   1431
 2350 CONTINUE                                                          HELPSC   1432
      WRITE(LOUT,1000) ENV1                                             HELPSC   1433
      WRITE(LOUT,1000) ENV2                                             HELPSC   1434
      GOTO 150                                                          HELPSC   1435
C                                                                       HELPSC   1436
 2360 CONTINUE                                                          HELPSC   1437
      WRITE(LOUT,1000) LSF1                                             HELPSC   1438
      WRITE(LOUT,1000) LSF2                                             HELPSC   1439
      GOTO 150                                                          HELPSC   1440
C                                                                       HELPSC   1441
 2370 CONTINUE                                                          HELPSC   1442
      WRITE(LOUT,1000) RLY                                              HELPSC   1443
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1444
      GOTO 150                                                          HELPSC   1445
C                                                                       HELPSC   1446
 2380 CONTINUE                                                          HELPSC   1447
      WRITE(LOUT,1000) REL1                                             HELPSC   1448
      WRITE(LOUT,1000) REL2                                             HELPSC   1449
      GOTO 150                                                          HELPSC   1450
C                                                                       HELPSC   1451
 2390 CONTINUE                                                          HELPSC   1452
      WRITE(LOUT,1000) OPA1                                             HELPSC   1453
      WRITE(LOUT,1000) OPA2                                             HELPSC   1454
      GOTO 150                                                          HELPSC   1455
C                                                                       HELPSC   1456
 2400 CONTINUE                                                          HELPSC   1457
      WRITE(LOUT,1000) RDA                                              HELPSC   1458
      WRITE(LOUT,1000) HLFSCR                                           HELPSC   1459
      GOTO 150                                                          HELPSC   1460
C                                                                       HELPSC   1461
 2410 CONTINUE                                                          HELPSC   1462
      WRITE(LOUT,1000) SPE1                                             HELPSC   1463
      WRITE(LOUT,1000) SPE2                                             HELPSC   1464
*IF DIGITAL                                                             HELPSC   1465
*ENDIF                                                                  HELPSC   1467
      IF (QQ(LIN,LOUT).NE.'Q') THEN                                     HELPSC   1468
        WRITE(LOUT,1000) SPE3                                           HELPSC   1469
        WRITE(LOUT,1000) HLFSCR                                         HELPSC   1470
      ENDIF                                                             HELPSC   1471
      GOTO 150                                                          HELPSC   1472
C                                                                       HELPSC   1473
 2420 CONTINUE                                                          HELPSC   1474
      WRITE(LOUT,1000) LIM1                                             HELPSC   1475
      WRITE(LOUT,1000) LIM2                                             HELPSC   1476
      GOTO 150                                                          HELPSC   1477
C                                                                       HELPSC   1478
 2430 CONTINUE                                                          HELPSC   1479
 2440 CONTINUE                                                          HELPSC   1480
 2450 CONTINUE                                                          HELPSC   1481
      GOTO 2040                                                         HELPSC   1482
C                                                                       HELPSC   1483
 2460 CONTINUE                                                          HELPSC   1484
      WRITE(LOUT,1010) KEYW                                             HELPSC   1485
 1010 FORMAT(/,' (OAP) list of installed keywords : ',/,5(1X,A12))      HELPSC   1486
      GOTO 150                                                          HELPSC   1487
C                                                                       HELPSC   1488
 2470 CONTINUE                                                          HELPSC   1489
      CALL STATU(COMM,LENCOM)                                           HELPSC   1490
      GOTO 150                                                          HELPSC   1491
C                                                                       HELPSC   1492
 2480 CONTINUE                                                          HELPSC   1493
      WRITE(LOUT,1020) DBNAME                                           HELPSC   1494
 1020 FORMAT(/,' (OAP) Debug available : ',/,5(1X,A12))                 HELPSC   1495
 2485 CONTINUE                                                          HELPSC   1496
      MSG=' (OAP) Enter debug number'                                   HELPSC   1497
      CALL SCRPMT(LOUT,MSG,25)                                          HELPSC   1498
      READ(LIN,*,IOSTAT=IOS)IDBB                                        HELPSC   1499
      IF(IOS.NE.0) GOTO 2485                                            HELPSC   1500
      IF (DEBUG(IDBB)) THEN                                             HELPSC   1501
        DEBUG(IDBB)=.FALSE.                                             HELPSC   1502
      ELSE                                                              HELPSC   1503
        DEBUG(IDBB)=.TRUE.                                              HELPSC   1504
      ENDIF                                                             HELPSC   1505
      GOTO 150                                                          HELPSC   1506
C                                                                       HELPSC   1507
 2490 CONTINUE                                                          HELPSC   1508
      LTEM=LOUT                                                         HELPSC   1509
      LOUT=98                                                           HELPSC   1510
      WRITE(LOUT,1000) DEL1                                             HELPSC   1511
      WRITE(LOUT,1000) DEL2                                             HELPSC   1512
      WRITE(LOUT,1000) GET1                                             HELPSC   1513
      WRITE(LOUT,1000) GET2                                             HELPSC   1514
      WRITE(LOUT,1000) HEL1                                             HELPSC   1515
      WRITE(LOUT,1000) HEL2                                             HELPSC   1516
      WRITE(LOUT,1000) HEL3                                             HELPSC   1517
      WRITE(LOUT,1000) HEL4                                             HELPSC   1518
      WRITE(LOUT,1000) HEL5                                             HELPSC   1519
      WRITE(LOUT,1000) HEL6                                             HELPSC   1520
      WRITE(LOUT,1000) LIS                                              HELPSC   1521
      WRITE(LOUT,1000) MEN                                              HELPSC   1522
      WRITE(LOUT,1000) MSA1                                             HELPSC   1523
      WRITE(LOUT,1000) MSA2                                             HELPSC   1524
      WRITE(LOUT,1000) NAM                                              HELPSC   1525
      WRITE(LOUT,1000) NUM                                              HELPSC   1526
      WRITE(LOUT,1000) OPE1                                             HELPSC   1527
      WRITE(LOUT,1000) OPE2                                             HELPSC   1528
      WRITE(LOUT,1000) PLA1                                             HELPSC   1529
      WRITE(LOUT,1000) PLA2                                             HELPSC   1530
      WRITE(LOUT,1000) QUI                                              HELPSC   1531
      WRITE(LOUT,1000) REC1                                             HELPSC   1532
      WRITE(LOUT,1000) REC2                                             HELPSC   1533
      WRITE(LOUT,1000) RES                                              HELPSC   1534
      WRITE(LOUT,1000) SAV1                                             HELPSC   1535
      WRITE(LOUT,1000) SAV2                                             HELPSC   1536
      WRITE(LOUT,1000) STO                                              HELPSC   1537
      WRITE(LOUT,1000) TIT                                              HELPSC   1538
      WRITE(LOUT,1000) VMS1                                             HELPSC   1539
      WRITE(LOUT,1000) VMS2                                             HELPSC   1540
      WRITE(LOUT,1000) DPC                                              HELPSC   1541
      WRITE(LOUT,1000) DPD1                                             HELPSC   1542
      WRITE(LOUT,1000) DPD2                                             HELPSC   1543
      WRITE(LOUT,1000) DPP1                                             HELPSC   1544
      WRITE(LOUT,1000) DPP2                                             HELPSC   1545
      WRITE(LOUT,1000) GPC                                              HELPSC   1546
      WRITE(LOUT,1000) GPD1                                             HELPSC   1547
      WRITE(LOUT,1000) GPD2                                             HELPSC   1548
      WRITE(LOUT,1000) GPN                                              HELPSC   1549
      WRITE(LOUT,1000) GPP1                                             HELPSC   1550
      WRITE(LOUT,1000) GPP2                                             HELPSC   1551
      WRITE(LOUT,1000) G3D                                              HELPSC   1552
      WRITE(LOUT,1000) G3M                                              HELPSC   1553
      WRITE(LOUT,1000) G3P                                              HELPSC   1554
      WRITE(LOUT,1000) ALR                                              HELPSC   1555
      WRITE(LOUT,1000) FIL                                              HELPSC   1556
      WRITE(LOUT,1000) FUN1                                             HELPSC   1557
      WRITE(LOUT,1000) FUN2                                             HELPSC   1558
      WRITE(LOUT,1000) FUN3                                             HELPSC   1559
      WRITE(LOUT,1000) FUN4                                             HELPSC   1560
      WRITE(LOUT,1000) CAL1                                             HELPSC   1561
      WRITE(LOUT,1000) CAL2                                             HELPSC   1562
      WRITE(LOUT,1000) CAL3                                             HELPSC   1563
      WRITE(LOUT,1000) CAL4                                             HELPSC   1564
      WRITE(LOUT,1000) CAL5                                             HELPSC   1565
      WRITE(LOUT,1000) CAL6                                             HELPSC   1566
      WRITE(LOUT,1000) ENV1                                             HELPSC   1567
      WRITE(LOUT,1000) ENV2                                             HELPSC   1568
      WRITE(LOUT,1000) LSF1                                             HELPSC   1569
      WRITE(LOUT,1000) LSF2                                             HELPSC   1570
      WRITE(LOUT,1000) RLY                                              HELPSC   1571
      WRITE(LOUT,1000) REL1                                             HELPSC   1572
      WRITE(LOUT,1000) REL2                                             HELPSC   1573
      WRITE(LOUT,1000) OPA1                                             HELPSC   1574
      WRITE(LOUT,1000) OPA2                                             HELPSC   1575
      WRITE(LOUT,1000) RDA                                              HELPSC   1576
      WRITE(LOUT,1000) SPE1                                             HELPSC   1577
      WRITE(LOUT,1000) SPE2                                             HELPSC   1578
      WRITE(LOUT,1000) SPE3                                             HELPSC   1579
      WRITE(LOUT,1000) LIM1                                             HELPSC   1580
      WRITE(LOUT,1000) LIM2                                             HELPSC   1581
      LOUT=LTEM                                                         HELPSC   1582
      GOTO 150                                                          HELPSC   1583
C                                                                       HELPSC   1584
 2500 CONTINUE                                                          HELPSC   1585
      GOTO 2040                                                         HELPSC   1586
C                                                                       HELPSC   1587
 150  CONTINUE                                                          HELPSC   1588
*IF DIGITAL                                                             HELPSC   1589
*ENDIF                                                                  HELPSC   1591
 1000 FORMAT(A)                                                         HELPSC   1592
      RETURN                                                            HELPSC   1593
      END                                                               HELPSC   1594
